MoveCollectionsOperations Class
MoveCollectionsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectMoveCollectionsOperations
Constructor
MoveCollectionsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_bulk_remove |
Removes the set of move resources included in the request body from move collection. The orchestration is done by service. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. |
| begin_commit |
Commits the set of resources included in the request body. The commit operation is triggered on the moveResources in the moveState 'CommitPending' or 'CommitFailed', on a successful completion the moveResource moveState do a transition to Committed. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. |
| begin_delete |
Deletes a move collection. |
| begin_discard |
Discards the set of resources included in the request body. The discard operation is triggered on the moveResources in the moveState 'CommitPending' or 'DiscardFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. |
| begin_initiate_move |
Moves the set of resources included in the request body. The move operation is triggered after the moveResources are in the moveState 'MovePending' or 'MoveFailed', on a successful completion the moveResource moveState do a transition to CommitPending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. |
| begin_prepare |
Initiates prepare for the set of resources included in the request body. The prepare operation is on the moveResources that are in the moveState 'PreparePending' or 'PrepareFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. |
| begin_resolve_dependencies |
Computes, resolves and validate the dependencies of the moveResources in the move collection. |
| create |
Creates or updates a move collection. |
| get |
Gets the move collection. |
| list_move_collections_by_resource_group |
Get all Move Collections. Get all the Move Collections in the resource group. |
| list_move_collections_by_subscription |
Get all Move Collections. Get all the Move Collections in the subscription. |
| list_required_for |
List of the move resources for which an arm resource is required for. |
| update |
Updates a move collection. |
begin_bulk_remove
Removes the set of move resources included in the request body from move collection. The orchestration is done by service. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
begin_bulk_remove(resource_group_name: str, move_collection_name: str, body: Optional[_models.BulkRemoveRequest] = None, **kwargs: Any) -> LROPoller[_models.OperationStatus]
Parameters
- resource_group_name
- str
- move_collection_name
- str
- body
- <xref:resource_mover_service_api.models.BulkRemoveRequest>
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
begin_commit
Commits the set of resources included in the request body. The commit operation is triggered on the moveResources in the moveState 'CommitPending' or 'CommitFailed', on a successful completion the moveResource moveState do a transition to Committed. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
begin_commit(resource_group_name: str, move_collection_name: str, body: Optional[_models.CommitRequest] = None, **kwargs: Any) -> LROPoller[_models.OperationStatus]
Parameters
- body
- <xref:resource_mover_service_api.models.CommitRequest>
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
begin_delete
Deletes a move collection.
begin_delete(resource_group_name: str, move_collection_name: str, **kwargs: Any) -> LROPoller[_models.OperationStatus]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
begin_discard
Discards the set of resources included in the request body. The discard operation is triggered on the moveResources in the moveState 'CommitPending' or 'DiscardFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
begin_discard(resource_group_name: str, move_collection_name: str, body: Optional[_models.DiscardRequest] = None, **kwargs: Any) -> LROPoller[_models.OperationStatus]
Parameters
- body
- <xref:resource_mover_service_api.models.DiscardRequest>
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
begin_initiate_move
Moves the set of resources included in the request body. The move operation is triggered after the moveResources are in the moveState 'MovePending' or 'MoveFailed', on a successful completion the moveResource moveState do a transition to CommitPending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
begin_initiate_move(resource_group_name: str, move_collection_name: str, body: Optional[_models.ResourceMoveRequest] = None, **kwargs: Any) -> LROPoller[_models.OperationStatus]
Parameters
- body
- <xref:resource_mover_service_api.models.ResourceMoveRequest>
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
begin_prepare
Initiates prepare for the set of resources included in the request body. The prepare operation is on the moveResources that are in the moveState 'PreparePending' or 'PrepareFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
begin_prepare(resource_group_name: str, move_collection_name: str, body: Optional[_models.PrepareRequest] = None, **kwargs: Any) -> LROPoller[_models.OperationStatus]
Parameters
- body
- <xref:resource_mover_service_api.models.PrepareRequest>
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
begin_resolve_dependencies
Computes, resolves and validate the dependencies of the moveResources in the move collection.
begin_resolve_dependencies(resource_group_name: str, move_collection_name: str, **kwargs: Any) -> LROPoller[_models.OperationStatus]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
create
Creates or updates a move collection.
create(resource_group_name: str, move_collection_name: str, body: Optional[_models.MoveCollection] = None, **kwargs: Any) -> _models.MoveCollection
Parameters
- body
- <xref:resource_mover_service_api.models.MoveCollection>
- cls
- callable
A custom type or function that will be passed the direct response
Returns
MoveCollection, or the result of cls(response)
Return type
Exceptions
get
Gets the move collection.
get(resource_group_name: str, move_collection_name: str, **kwargs: Any) -> _models.MoveCollection
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
MoveCollection, or the result of cls(response)
Return type
Exceptions
list_move_collections_by_resource_group
Get all Move Collections.
Get all the Move Collections in the resource group.
list_move_collections_by_resource_group(resource_group_name: str, **kwargs: Any) -> Iterable[_models.MoveCollectionResultList]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either MoveCollectionResultList or the result of cls(response)
Return type
Exceptions
list_move_collections_by_subscription
Get all Move Collections.
Get all the Move Collections in the subscription.
list_move_collections_by_subscription(**kwargs: Any) -> Iterable[_models.MoveCollectionResultList]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either MoveCollectionResultList or the result of cls(response)
Return type
Exceptions
list_required_for
List of the move resources for which an arm resource is required for.
list_required_for(resource_group_name: str, move_collection_name: str, source_id: str, **kwargs: Any) -> _models.RequiredForResourcesCollection
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
RequiredForResourcesCollection, or the result of cls(response)
Return type
Exceptions
update
Updates a move collection.
update(resource_group_name: str, move_collection_name: str, body: Optional[_models.UpdateMoveCollectionRequest] = None, **kwargs: Any) -> _models.MoveCollection
Parameters
- body
- <xref:resource_mover_service_api.models.UpdateMoveCollectionRequest>
- cls
- callable
A custom type or function that will be passed the direct response
Returns
MoveCollection, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.resourcemover.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\resourcemover\\models\\__init__.py'>
Feedback
Submit and view feedback for